com.brightcove.player.model

## Enum CaptionType

- java.lang.Object
- - java.lang.Enum<CaptionType>
  - - com.brightcove.player.model.CaptionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CaptionType>

      public enum CaptionType
      extends java.lang.Enum<CaptionType>

  Defines standard keys for each type of deliverable caption type handled by the SDK. These values correspond to the standard MIME types for each specification.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CEA608` Indicates CEA-608 captioning.
    `CEA708` Indicates CEA-708 captioning.
    `TTML` Indicates DFXP/TTML captioning.
    `UNKNOWN` Indicates that no CaptionType was specified.
    `WEBVTT` Indicates WebVTT captioning.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CaptionType` | `fromString(java.lang.String text)`
    `java.lang.String` | `toString()`
    `static CaptionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CaptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final CaptionType UNKNOWN

      Indicates that no CaptionType was specified.

    - #### TTML

          public static final CaptionType TTML

      Indicates DFXP/TTML captioning.

    - #### WEBVTT

          public static final CaptionType WEBVTT

      Indicates WebVTT captioning.

    - #### CEA608

          public static final CaptionType CEA608

      Indicates CEA-608 captioning.

    - #### CEA708

          public static final CaptionType CEA708

      Indicates CEA-708 captioning.

  - ### Method Detail

    - #### values

          public static CaptionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CaptionType c : CaptionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CaptionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<CaptionType>`

    - #### fromString

          public static CaptionType fromString(java.lang.String text)